/* Estilos CSS */
body {
  margin: 0;
  padding: 0;
  font-family: Arial, sans-serif;
}

footer {
  width: 100vw;
  height: auto;
  min-height: 75px;

  margin-top: 5rem;

  background-color: var(--color-secundario);

  border-top-right-radius: 50%;
}

footer .footer-container {
  width: 75vw;
  min-height: 75px;
  height: auto;
  margin: auto auto auto 20px;

  display: flex;
  flex-direction: row;

  justify-content: center;
}

footer .footer-container #footer-copy {
  width: 40%;
  min-height: 75px;
  height: auto;
  margin: auto auto auto -20px;

  padding: 15px;

  border-bottom-right-radius: 50%;
  border-top-right-radius: 15px;

  text-align: justify;
  font-size: 75%;
  word-wrap: normal;

  background-color: var(--color-primario);

  color: var(--color-terciario);
}

footer .footer-container #footer-options {
  width: 55%;
  min-height: 75px;
  height: auto;
  margin: auto auto auto -40px;

  text-align: justify;
  font-size: 75%;

  display: flex;

  flex-direction: row;

  flex-wrap: wrap;

  justify-content: center;
  align-content: center;

  color: var(--color-cuaternario);
}

footer .footer-container #footer-options li {
  margin: 10px auto;
  text-transform: capitalize;
  cursor: pointer;
}

footer .footer-container #footer-options li:hover {
  margin: 12px auto;
  text-transform: uppercase;
  color: var(--color-alfa-primario);
}

#side-bar {
  background-color: #333;
  color: #fff;
  width: 80px;
  /* Ancho inicial */
  height: 100vh;
  position: fixed;
  top: 0;
  left: 0;
  overflow-y: auto;
  transition: width 0.3s;
  /* Transición suave */
}

#side-bar.expanded {
  width: 250px;
  /* Ancho expandido */
}

.container {
  width: 100%;
}

.logo-container {
  padding: 20px;
  text-align: center;
}

.logo-container img {
  width: 40px;
  /* Tamaño del logo en la barra expandida */
  height: auto;
}

.option-container {
  padding: 20px;
  display: none;
  /* Ocultar opciones inicialmente */
}

.option-container ul {
  list-style-type: none;
  padding: 0;
  margin: 0;
}

.option-container ul li {
  padding: 10px 0;
  cursor: pointer;
}

.option-container ul li:hover {
  background-color: #555;
}

#side-bar.expanded .option-container {
  display: block;
  /* Mostrar opciones cuando expandido */
}

:root {
  --color-primario: #282629;
  --color-secundario: #4ea6a6;
  --color-terciario: #8abfbf;
  --color-cuaternario: #c9f2f2;
  --color-quinario: #f2f2f2;

  --color-alfa-primario: #2826297f;
  --color-alfa-secundario: #4ea6a67f;
  --color-alfa-terciario: #8abfbf7f;
  --color-alfa-cuaternario: #c9f2f27f;
  --color-alfa-quinario: #f2f2f27f;
}

* {
  box-sizing: border-box;
  margin: 0;
  padding: 0;
}

body {
  overflow-x: hidden;
  display: flex;
  flex-direction: column;
  height: max-content;

  justify-content: space-between;
  align-items: center;
}

iframe {
  margin: 50px auto;

  border-radius: 20px;
  box-shadow: 0px 0px 10px black;
}

@media screen and (max-width: 600px) {
  iframe {
    width: 90vw;
  }
}

a {
  text-decoration: none;
  color: inherit;
}

li {
  list-style: none;
}

button {
  min-width: 25%;
  width: max-content;
  max-width: 90%;
  height: 30px;

  margin: auto;

  border-radius: 15px;

  background-color: var(--color-alfa-terciario);

  box-shadow: 0px 0px 5px var(--color-primario);

  border: none;

  cursor: pointer;
}

button:hover {
  border-radius: 10px;

  background-color: var(--color-terciario);

  box-shadow: 0px 0px 2px var(--color-secundario);

  font-weight: bold;
  text-transform: uppercase;
}

p {
  color: var(--color-quinario);
}

.bg001 {
  background: linear-gradient(rgba(0, 0, 0, 0.5), rgba(0, 0, 0, 0.5)),
    url("/view/img/Bg001.jpg");
}

.bg002 {
  background: linear-gradient(rgba(0, 0, 0, 0.5), rgba(0, 0, 0, 0.5)),
    url("../img/Bg002.jpg");
}

.bg003 {
  background: linear-gradient(rgba(0, 0, 0, 0.5), rgba(0, 0, 0, 0.5)),
    url("../img/Bg003.jpg");
}

.bg004 {
  background: linear-gradient(rgba(0, 0, 0, 0.5), rgba(0, 0, 0, 0.5)),
    url("../img/Bg004.jpg");
}

#prev-bacground-img {
  width: 80%;
  height: auto;
  border-radius: 15px;
  box-shadow: 0 0 10px rgba(0, 0, 0, 0.5);
}

.background-container {
  height: 100vh;
  width: 100vw;
  position: fixed;
  background-size: cover;
  background-repeat: no-repeat;
  background-position: center;
  z-index: -100;
}

/* -- header -- */

header {
  width: 100vw;
  height: 75px;
  position: fixed;
  background-color: brown;
  overflow: hidden;
  z-index: 2;
  top: -1px;
  right: -1px;
  left: -1px;
}

#header-background {
  display: block;
  width: 100%;
  height: 100%;
  background-color: var(--color-primario);
  z-index: 1;
  position: relative;
}

#header-background::after {
  display: block;
  width: 150%;
  height: 105%;
  background-color: var(--color-quinario);
  content: " ";
  transform-origin: center left;
  transform: translateX(-5px) rotate(-5deg);
  position: absolute;
}

#header-background::before {
  display: block;
  width: 150%;
  height: 105%;
  background-color: var(--color-terciario);
  content: " ";
  transform-origin: center right;
  transform: translateX(20px) translateY(25px) rotate(2deg);
  position: absolute;
}

#header-content {
  position: absolute;
  z-index: 2;
  width: 100%;
  height: 100%;
  top: 0px;
  margin: auto;

  display: flex;
  flex-direction: row;
  flex-wrap: nowrap;

  align-items: center;
  justify-content: space-around;
}

#header-image {
  height: 90%;
  width: auto;
  margin: auto auto auto 25px;
  cursor: pointer;
}

#header-options {
  margin: auto 25px auto auto;

  display: flex;
  flex-direction: row;

  align-items: center;
  justify-content: space-around;
}

#header-options li {
  margin: 0 15px;

  list-style: none;

  color: var(--color-primario);
}

#header-options li:hover {
  cursor: pointer;
  color: var(--color-quinario);
}

#header-container {
  margin-bottom: 4rem;
}

.menu-hamburguesa {
  width: 35px;
  height: 30px;
  display: flex;
  margin-right: 15px;
  margin-left: auto;
  flex-direction: column;
  justify-content: space-between;
  cursor: pointer;
}

.barra {
  width: 100%;
  height: 5px;
  background-color: #333;
  border-radius: 5px;
}

/* -- -- -- */

#welcome-view {
  width: 100vw;
  min-height: 100vh;
  height: auto;
  display: flex;
  align-items: center;
}

#explain-why-card {
  width: 100%;
  max-height: 100px;
}

#contact-buble {
  content: " ";

  position: fixed;
  display: block;
  z-index: 100;

  width: 50px;
  height: 50px;

  border-radius: 50%;

  transform-origin: center center;

  top: auto;
  bottom: 25px;
  left: auto;
  right: 25px;

  cursor: pointer;

  display: flex;

  align-items: center;
  justify-content: center;

  background-color: var(--color-cuaternario);
  border: solid 4px var(--color-terciario);
}

#buble-icons-container {
  position: fixed;
  z-index: 99;
  top: auto;
  bottom: 0;
  right: 0;
  transition: transform 0.5s ease-in-out;
}

#buble-icons-container::before {
  content: " ";
  position: fixed;
  display: block;
  z-index: 99;
  width: 150px;
  height: 150px;
  border-radius: 50%;
  transform-origin: center center;
  top: auto;
  bottom: -25px;
  left: auto;
  right: -25px;
  background-color: var(--color-cuaternario);
}

#buble-icons-container::after {
  content: " ";
  position: fixed;
  display: block;
  z-index: 98;
  width: 350px;
  height: 350px;
  border-radius: 50%;
  transform-origin: center center;
  top: auto;
  bottom: -125px;
  left: auto;
  right: -125px;
  background-color: var(--color-terciario);
}

#buble-icons-container span {
  content: " ";
  position: fixed;
  display: block;
  z-index: 97;
  width: 600px;
  height: 600px;
  border-radius: 50%;
  transform-origin: center center;
  top: auto;
  bottom: -275px;
  left: auto;
  right: -275px;
  background-color: var(--color-secundario);
}

.buble-icons-container-hide {
  transform: scale(0.01);
}

.buble-icons-container-unhide {
  transform: scale(1);
}

#contact-buble img {
  width: 60%;
  height: auto;
  max-height: 60%;
}

#contact-buble-view {
  content: " ";

  position: fixed;
  display: block;
  z-index: 90;

  width: 200vw;
  height: 600vw;

  top: 0;
  bottom: 0;
  left: 0;
  right: 0;

  background-color: var(--color-alfa-primario);
  border-top-left-radius: 100%;

  transition: transform 0.5s ease-in-out, border-top-left-radius 0.5s ease-in;
}

.contact-option {
  width: 100px;
  height: 100px;
  z-index: 150;
  position: fixed;
  top: auto;
  right: 25px;
  bottom: 25px;
  left: auto;

  cursor: pointer;
}

.first-option {
  width: 50px;
  height: 50px;
}

.contact-option h2 {
  font-size: 100%;
  display: none;
}

.contact-option img {
  width: 80%;
  height: auto;
  max-height: 80%;
}

.contact-buble-view-hide {
  /*border-top-left-radius: 100%;*/

  transform: translateX(200vw) translateY(200vh);
}

.contact-buble-view-unhide {
  /*border-top-left-radius: 0%;*/

  transform: translateX(-100vw) translateY(-100vw);
}

.horizontal-container {
  display: flex;
  width: 95%;
  margin: auto;

  flex-direction: row;

  flex-wrap: wrap;

  align-items: center;
  justify-content: space-between;
}

.box-double {
  position: relative;
  width: 35%;
  min-width: 250px;
  height: auto;
  aspect-ratio: 1 / 1;
  transform-origin: center center;
  transform: rotate(5deg);
  background-color: var(--color-terciario);
  margin: 3rem auto;
  border-radius: 5px;
  z-index: 1;
  display: flex;
  align-items: center;
  justify-content: center;
  box-shadow: 0px 0px 10px black;
}

.box-double::before {
  position: absolute;

  content: "";

  width: 100%;
  height: 100%;

  background-color: var(--color-secundario);

  transform: rotate(-5deg);
  border-radius: 5px;

  z-index: -1;
}

.box-double .title {
  color: var(--color-primario);
}

.tinny-box {
  width: 15vw;
  max-width: 100px;
  min-width: 50px;

  height: 15vw;
  max-height: 100px;
  min-height: 50px;
}

.card {
  display: flex;
  flex-direction: column;

  margin: 1rem;
  padding: 1rex;

  color: var(--color-primario);

  text-transform: uppercase;

  cursor: pointer;
}

.card img {
  height: 70%;
  width: auto;
}

.carousel {
  position: relative;
  padding: 1rem unset;
}

.carousel-item {
  position: absolute;
  top: -15px;
  right: 0px;
  bottom: -15px;
  left: 0px;
}

.carousel-img {
  width: 150px;
  aspect-ratio: 1/1;
}

#welcome-text {
  transform: rotate(-10deg);

  color: var(--color-quinario);

  font-size: 200%;

  font-weight: bold;

  margin: 10%;

  text-wrap: wrap;
}

.border-rouded {
  border-radius: 20px;
}

.shadowed {
  box-shadow: 0px 0px 15px black;
}

.shadowed-in {
  box-shadow: inset 0px 0px 15px black;
}

.color-solid {
  background-color: var(--color-alfa-primario);
  width: 80vw;
  height: max-content;

  margin: 2rem auto;

  display: flex;
  flex-direction: column;

  align-items: center;
  justify-content: space-around;
}

.solid {
  width: 80vw;
  height: max-content;

  margin: 2rem auto;

  display: flex;
  flex-direction: column;

  align-items: center;
  justify-content: space-around;
}

.window-size {
  width: 95vw;
  height: 95vh;
}

@media screen and (max-width: 773px) {
  .window-size {
    width: 95vw;
    min-height: 95vh;
    height: auto;
  }
}

.background-colored-secundary {
  background-color: var(--color-secundario);
}

.centered {
  margin: 1rem auto;
}

.flex-column {
  display: flex;
  flex-direction: column;

  justify-content: space-around;
  align-items: center;
  align-content: space-around;

  overflow-y: auto;
}

.opaque-container {
  background-color: var(--color-primario);
  width: 90%;
  margin: 2rem auto;

  display: flex;
  flex-direction: column;

  align-items: center;
  justify-content: space-around;

  border-radius: 15px;
}

.opaque-alfa-container {
  background-color: var(--color-alfa-primario);
  width: 90%;
  margin: 2rem auto;

  display: flex;
  flex-direction: column;

  align-items: center;
  justify-content: space-around;

  border-radius: 15px;
}

.half-horizontal {
  width: 35vw;
  min-width: 250px;
  height: auto;
  min-height: 300px;
  margin: auto;

  display: flex;
  flex-wrap: wrap;

  align-items: center;
  justify-content: center;
}

.option-container {
  position: relative;
  width: 35%;
  min-width: 300px;
  aspect-ratio: 1 / 1;
  padding: 1rem;
  transition: background-color 0.3s ease;
}

.option-container:hover {
  background-color: var(--color-alfa-secundario);
}

.option-box {
  width: 90%;
  height: 90%;

  display: flex;
  flex-direction: column;

  align-items: center;
  justify-content: center;

  position: absolute;
  cursor: pointer;

  transition: opacity 0.5s ease-out;
}

.option-box-static {
  width: 90%;
  height: 250px;

  margin: 2rem auto;

  display: flex;
  flex-direction: column;

  align-items: center;
  justify-content: center;

  box-shadow: inset 0 0 15px black;

  background-color: var(--color-alfa-primario);

  transition: background-color 0.5s ease, box-shadow 1s ease;

  cursor: pointer;
}

.input-vertical-container {
  margin-bottom: 20px;
}

label {
  display: block;
  margin: auto auto 5px;
  width: 50%;
  text-align: center;
  background-color: var(--color-secundario);
  border-radius: 15px;

  font-weight: bolder;
  color: var(--color-cuaternario);
}

input {
  width: 100%;
  padding: 10px;
  margin-bottom: 10px;
  border: 1px solid #ccc;
  border-radius: 5px;
}

.buttons-horizontal-container {
  display: flex;
  justify-content: space-between;
}

.buttons-horizontal-container button {
  padding: 10px 20px;
  border: none;
  border-radius: 5px;
  cursor: pointer;
}

.admin-form {
  margin: 1rem auto;
  width: 50%;
  min-width: 250px;

  display: flex;
  flex-direction: column;
  justify-content: space-around;
  align-content: space-around;
  align-items: center;
}

.admin-form label {
  width: 35%;
  min-width: 150px;
  margin: auto auto 1rem;
}

.admin-form textarea {
  width: 60%;
  margin: auto;
  height: 150px;
  overflow: auto;
  resize: none;
}

.admin-form select {
  margin: 1rem auto;
  height: 20px;
  max-width: 40%;
  background-color: var(--color-secundario);
  color: var(--color-quinario);

  border-radius: 10px;
}

.admin-form .mini-input {
  margin: 1rem auto;
  height: 30px;
  width: 30%;
  max-width: 40%;
  color: #000;

  border-radius: 10px;
}

.admin-form .buttons-horizontal-container {
  display: flex;
  justify-content: space-between;
  width: 80%;

  margin: 1rem auto auto;
}

.buttons-horizontal-container button[type="submit"] {
  background-color: #4caf50;
  /* Green */
  color: white;
}

.buttons-horizontal-container button[type="reset"] {
  background-color: #f4c836;
  /* orange */
  color: white;
}

.buttons-horizontal-container #delete-button {
  background-color: #da2316;
  /* Red */
  color: white;
}

.buttons-horizontal-container button:hover {
  opacity: 0.8;
}

.hide {
  opacity: 0;
  z-index: -1;
}

.unhide {
  opacity: 1;
  z-index: 1;
}

.option-box h2,
.option-box-static h2 {
  width: auto;
  font-size: auto;
  border-bottom: black solid 3px;
  margin: 10px auto;
  text-wrap: wrap;
  text-align: center;
}

.option-box img {
  width: 50%;
  height: auto;
  margin: auto auto;
}

.option-box-static img {
  width: 50%;
  max-width: 150px;
  height: auto;
  margin: 0 auto auto;
}

.option-box-static:hover {
  background-color: var(--color-primario);
  color: var(--color-alfa-secundario);
  box-shadow: 0 0 25px black;
}

.row {
  display: flex;
  flex-direction: row;
  flex-wrap: wrap;
  width: 100%;
  height: min-content;

  justify-content: center;
  align-items: center;
  align-content: center;
}

.vertical-container {
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
  width: 90%;
  margin: auto;
}

.third-column {
  width: 33%;
  min-width: 250px;
  height: 90%;

  display: flex;
  flex-direction: column;

  justify-content: center;
  align-items: center;
}

.mid-width {
  width: 50%;
}

.sixth-column {
  width: 66%;
  padding: 1rem;
  min-width: 250px;
  height: 90%;

  display: flex;
  flex-direction: column;

  justify-content: space-around;
  align-items: center;
}

.text-container {
  background-color: var(--color-alfa-secundario);
  margin: 4rem auto;
  padding: 2rem;
  height: auto;
  min-height: 300px;
  border-radius: 20px;
  text-align: left;
  font-size: 100%;
  text-wrap: wrap;
  color: var(--color-terciario);
  display: flex;
  align-items: center;
  justify-content: center;
}

.line {
  width: 80%;
  height: 10px;

  border-radius: 15px;

  margin: 1rem auto;

  background-color: var(--color-quinario);
}

.title {
  text-transform: uppercase;
  text-align: center;

  font-size: x-large;
  font-weight: bold;

  color: var(--color-secundario);

  margin: 1rem auto;
}

.complete-width {
  width: 95%;
  height: 95vh;
}

.card-function {
  width: 100%;
  height: auto;
  max-height: 50px;

  background-color: var(--color-alfa-cuaternario);

  margin: 1rem auto;
  padding: 0.5rem;

  cursor: pointer;
}

.card-function:hover {
  background-color: var(--color-cuaternario);
}

.card-title {
  font-size: 75%;
}

.autotext {
  font-size: 100%;
  text-wrap: wrap;

  text-align: center;
}

#service-functions-list {
  height: 35%;
  padding: 0.5rem;
  margin-bottom: 5rem;
}

#service-functions-list ul {
  height: 100%;
  width: 95%;
  overflow-y: auto;
}

#service-function-text {
  padding: 2rem;

  color: var(--color-terciario);

  text-align: justify;
}

.column-third-continer {
  width: 90%;
  height: 33%;
  padding: 1rem;
  margin: auto;
}

.column-sixth-continer {
  width: 90%;
  height: 66%;
  padding: 1rem;
  margin: auto;
}

.column-flow {
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: flex-start;
}

.little-padding {
  padding: 1rem;
}

form {
  width: 100%;
  margin: 0 auto;
  padding: 20px;
  background-color: #f9f9f9;
  border: 1px solid #ddd;
  border-radius: 5px;
}

form label {
  display: block;
  margin-bottom: 5px;
}

form input[type="text"],
form input[type="email"],
form textarea {
  width: 100%;
  padding: 8px;
  margin-bottom: 10px;
  border: 1px solid #ccc;
  border-radius: 4px;
  box-sizing: border-box;
}

form input[type="submit"] {
  width: 100%;
  padding: 10px;
  background-color: #4caf50;
  color: white;
  border: none;
  border-radius: 4px;
  cursor: pointer;
}

form input[type="submit"]:hover {
  background-color: #45a049;
}

.disable {
  display: none;
}

#contact-info-field {
  color: var(--color-terciario);
}

#contact-info-field ul {
  height: 90%;
  margin: 5% auto;
  padding: 1rem;
}

#contact-info-field li {
  margin: 1rem auto;
  padding: unset;
}

.items-in-start {
  align-items: flex-start;
}

.b-list {
  width: 90%;
  margin: 5px auto;
}

#loading-screen {
  position: fixed;
  width: 100vw;
  height: 100vh;
  top: 0px;
  right: 0px;
  bottom: 0px;
  left: 0px;
  overflow: hidden;

  display: flex;

  flex-direction: column;
  align-items: center;
  justify-content: center;
  align-content: center;

  background-color: var(--color-primario);
  z-index: 1000;
}

#loading-screen h1 {
  font-weight: bolder;
  text-transform: uppercase;
  color: white;
}

#loading-simbol {
  height: 25vw;
  width: 25vw;
  margin-top: 5rem;
  border: solid 15vh transparent;
  border-top: solid 15vh white;
  border-bottom: solid 15vh white;
  border-radius: 50%;
  animation: spin 2s linear infinite;
}

#prev-img {
  cursor: pointer;
  width: 150px;
  /* Ajusta el tamaño según sea necesario */
  height: auto;
  border: 2px solid #ccc;
  border-radius: 5px;
  margin: 20px auto;
}

#card-Img {
  display: none;
  /* Oculta el input file */
}

#service-services {
  background-color: var(--color-secundario);
  border-radius: 15px;
  box-shadow: inset #0000007e 0px 0px 15px;
}

.stats {
  width: 96%;
  height: 95%;
  margin: auto 15px auto auto;
  display: flex;
  flex-direction: row-reverse;
  flex-wrap: nowrap;
}

.stats #grafics {
  width: 90%;
  height: fit-content;
  margin: auto 0px auto auto;
  background-color: var(--color-alfa-quinario);
  border-radius: 15px;

  display: flex;

  flex-direction: row;

  flex-wrap: wrap;

  justify-content: space-evenly;
  align-content: space-evenly;
  align-items: center;
}

.stats #whatsapp-info {
  width: 30%;
  height: 100%;
  margin: auto auto auto 0px;

  display: flex;

  flex-direction: column;

  justify-content: space-evenly;
  align-content: space-evenly;
  align-items: center;
}

.stats #whatsapp-info #whatsapp_img {
  width: 50%;
  min-width: 150px;

  margin: auto;
}

.stats #whatsapp-info #whatsapp_img img {
  width: 100%;
  height: auto;
  border-radius: 15px;
  box-shadow: #0000007e 0px 0px 15px;
}

.stats #whatsapp-info #close_whatsapp {
  width: 60%;
  height: 50px;
  border-radius: 15px;
  box-shadow: inset #0000007e 0px 0px 15px;
  margin: auto;

  justify-content: center;
  align-content: center;

  background-color: var(--color-alfa-terciario);
  border: solid var(--color-terciario) 2px;
  border-radius: 15px;
  text-align: center;

  cursor: pointer;
}

.stats #whatsapp-info #close_whatsapp:hover {
  border-radius: 20px;
  box-shadow: #0000007e 0px 0px 15px;
  background-color: var(--color-terciario);
  border: solid var(--color-primario) 2px;
}

.stats .big-table {
  width: 95%;
  height: auto;
  margin: auto;
  justify-content: center;
  align-items: center;
  justify-items: center;
}

.stats .mid-table {
  width: 45%;
  min-width: 200px;
  height: auto;
  margin: auto;
  max-height: 500px;
}

.stats .mini-table {
  width: 30%;
  height: auto;
  margin: auto;
  max-height: 300px;
}

.stats canvas {
  margin: auto;
}

#float-prices-modal {
  width: 100vw;
  height: 100vh;

  position: fixed;
  z-index: 200;

  top: 0px;
  bottom: 0px;
  left: 0px;
  right: 0px;

  align-content: center;

  background-color: #000000bc;
}

#float-prices-modal #exit {
  width: 25px;
  height: 25px;
  z-index: 250;
  padding: 4px 8px;
  display: block;
  background-color: #ffffff7f;
  border-radius: 50%;
  overflow: hidden;
  font-weight: bolder;
  margin: auto 5% 25px auto;
  cursor: pointer;
}

#float-prices-modal #exit:hover {
  background-color: #ffffff;
  padding: 3px 7px;
}

.float-container {
  width: 80vw;
  height: 80vh;

  position: relative;

  margin: auto;

  display: flex;

  align-items: center;

  background-color: #8abfbf;

  box-shadow: rgb(0, 0, 0) 0px 0px 30px;

  border-radius: 15px;

  overflow: hidden;
}

.fullscreenModal {
  height: 90vh;
  width: 90vw;
  position: fixed;
  top: 5%;
  bottom: 5%;
  left: 5%;
  right: 5%;
  background-color: var(--color-terciario);
  z-index: 1000;
  overflow: hidden;

  display: flex;
  flex-direction: column;

  align-items: center;
  justify-content: center;

  text-align: center;

  box-shadow: #000 0px 0px 20px;
  border-radius: 15px;
}

.fullscreenModal ul {
  height: 60%;
  width: 80%;
  display: flex;
  flex-direction: column;
  justify-content: space-between;
  align-content: space-between;
  background-color: var(--color-alfa-terciario);
  box-shadow: inset black 0px 0px 10px;
  border-radius: 15px;
}

.fullscreenModal li {
  width: 20%;
  margin: auto;
  padding-bottom: 10px;
  border-bottom: var(--color-alfa-cuaternario) solid 3px;
  text-align: center;
}

.fullscreenModal #fullscreenModalExit {
  position: absolute;
  top: 25px;
  right: 25px;
  padding: 2px 6px;
  background-color: var(--color-alfa-quinario);
  display: block;
  border-radius: 16px;
  text-align: center;
}

.fullscreenModal #fullscreenModalExit:hover {
  background-color: var(--color-quinario);
  cursor: pointer;
}

.fullscreenModal li:hover {
  border-bottom: var(--color-alfa-cuaternario) dotted 3px;
  width: 40%;
  cursor: pointer;
  color: var(--color-alfa-cuaternario);
}

@keyframes spin {
  0% {
    transform: rotate(0deg);
  }

  100% {
    transform: rotate(360deg);
  }
}

@media screen and (max-width: 880px) {
  .text-container {
    font-size: 100%;
    width: 80%;
  }

  .half-horizontal {
    width: 80%;
    min-width: 200px;
    height: auto;
    min-height: 300px;
    margin: 1rem auto;
    display: flex;
    flex-wrap: wrap;
    align-items: center;
    justify-content: center;
  }
}

@media screen and (max-width: 430px) {
  .box-double {
    position: relative;
    width: 40%;
    min-width: 250px;
    height: auto;
    aspect-ratio: 1 / 1;
    transform-origin: center center;
    transform: rotate(5deg);
    background-color: var(--color-terciario);
    margin: 3rem auto;
    border-radius: 5px;
    z-index: 1;
    display: flex;
    align-items: center;
    justify-content: center;
    box-shadow: 0px 0px 10px black;
  }

  .half-horizontal {
    width: 80%;
    min-width: 200px;
    height: auto;
    min-height: 300px;
    margin: 2rem auto;
    display: flex;
    flex-wrap: wrap;
    align-items: center;
    justify-content: center;
  }

  iframe {
    margin: 25px auto;
    border-radius: 20px;
    box-shadow: 0px 0px 10px black;
    width: 80%;
    aspect-ratio: auto;
  }

  footer .footer-container #footer-options {
    margin: auto 10px;
  }

  #nextToVideo {
    /* height: 100%; */
    font-size: 70%;
  }

  .explain-card {
    width: 40%;
    min-width: unset;
  }

  .third-column {
    width: 33%;
    min-width: 250px;
  }

  .sixth-column {
    min-width: 250px;
  }
}

/* Webkit (Chrome, Safari, etc.) */
::-webkit-scrollbar {
  width: 6px;
  background-color: transparent;
}

::-webkit-scrollbar-thumb {
  background-color: var(--color-alfa-secundario);
}

/* Firefox */
/* Establecer el ancho y el color de la barra de desplazamiento */
* {
  scrollbar-width: thin;
  scrollbar-color: rgba(200, 200, 200, 0.7) transparent;
}
